Bug 424701 - [ml_IN] words are shown joined (very low space shown on screen)
[ml_IN] words are shown joined (very low space shown on screen)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 02:40 EST by A S Alam
Modified: 2013-07-02 20:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-12 00:40:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TestCase (Text File to Test) (3.62 KB, text/plain)
2007-12-14 02:40 EST, A S Alam
no flags Details
patch for Lohit-Malayalam.sfd (448 bytes, patch)
2008-01-22 08:58 EST, Rahul Bhalerao
no flags Details | Diff
fixed ttf file (53.44 KB, application/x-font-ttf)
2008-01-22 08:59 EST, Rahul Bhalerao
no flags Details

  None (edit)
Description A S Alam 2007-12-14 02:40:51 EST
Description of problem:
words are shown joined (very low space shown on screen)

Version-Release number of selected component (if applicable):
[root@dhcp6-62 ~]# rpm -q qt
fonts-malayalam-2.1.5-3.fc8
qt-3.3.8-11.fc9
qt4-4.3.3-1.fc9
libicu-3.8-5.fc9
pango-1.19.1-1.fc9

How reproducible:
100%

Steps to Reproduce:
1. open http://ml.wikipedia.org/ in firefox
2. copy paste in gedit/kedit/oowriter
3.
  
Actual results:
Space size is TOO less between words

Expected results:
Space should be reasonable

Additional info:
Test Case with Hindi and Malayalam
Comment 1 A S Alam 2007-12-14 02:40:51 EST
Created attachment 288621 [details]
TestCase (Text File to Test)
Comment 2 Rahul Bhalerao 2008-01-22 08:58:29 EST
Created attachment 292511 [details]
patch for Lohit-Malayalam.sfd

This fixes the width of SPACE character in .sfd file.
Comment 3 Rahul Bhalerao 2008-01-22 08:59:23 EST
Created attachment 292512 [details]
fixed ttf file

Ani, can you please test this font file before I can build it for fedora?
Comment 4 Ani Peter 2008-01-24 07:04:57 EST
Rahul,

I think its better. 

Thanks
Ani
Comment 5 Rahul Bhalerao 2008-01-25 07:04:34 EST
Fixed in lohit-fonts-malayalam-2.1.8-1.fc9.
Comment 6 Bug Zapper 2008-05-14 00:12:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tony Fu 2008-09-09 23:17:20 EDT
requested by Jens Petersen (#27995)
Comment 8 A S Alam 2008-12-12 00:40:16 EST
fixed with following package:
pango-1.20.4-1.fc9
lohit-fonts-malayalam-2.2.1-2.fc9

Note You need to log in before you can comment on or make changes to this bug.